<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <MyType>Windows</MyType>
    <TargetFrameworks>net8.0-windows</TargetFrameworks>
    <LangVersion>latest</LangVersion>
    <DocumentationFile>Pilz.UI.xml</DocumentationFile>
    <UseWindowsForms>true</UseWindowsForms>
    <DefaultItemExcludes>$(DefaultItemExcludes);$(ProjectDir)**\*.vb</DefaultItemExcludes>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>annotations</Nullable>
  </PropertyGroup>
  <PropertyGroup>
    <Version>2.4.7</Version>
  </PropertyGroup>
  <ItemGroup>
    <PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
  </ItemGroup>
  <ItemGroup>
    <Import Include="Microsoft.VisualBasic" />
    <Import Include="System" />
    <Import Include="System.Collections" />
    <Import Include="System.Collections.Generic" />
    <Import Include="System.Data" />
    <Import Include="System.Diagnostics" />
    <Import Include="System.Linq" />
    <Import Include="System.Xml.Linq" />
    <Import Include="System.Threading.Tasks" />
  </ItemGroup>
  <ItemGroup>
    <Compile Update="PaintingControl\PaintingControl.cs" />
    <Compile Update="Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Update="Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
      <CustomToolNamespace>Pilz.UI.My.Resources</CustomToolNamespace>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Update="PaintingControl\PaintingControl.resx">
      <DependentUpon>PaintingControl.cs</DependentUpon>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\Pilz.Drawing\Pilz.Drawing.vbproj" />
    <ProjectReference Include="..\Pilz.Win32\Pilz.Win32.csproj" />
  </ItemGroup>
</Project>